Package org.apache.lucene.queryparser.xml.builders

# Class SpanFirstBuilder

java.lang.Object
org.apache.lucene.queryparser.xml.builders.SpanBuilderBase
org.apache.lucene.queryparser.xml.builders.SpanFirstBuilder

All Implemented Interfaces:
  `SpanQueryBuilder`, `QueryBuilder`

public class SpanFirstBuilder extends SpanBuilderBase
Builder for `SpanFirstQuery`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SpanFirstBuilder(SpanQueryBuilder factory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SpanQuery`
  `getSpanQuery(Element e)`

  ### Methods inherited from class org.apache.lucene.queryparser.xml.builders.SpanBuilderBase

  `getQuery`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SpanFirstBuilder

    public SpanFirstBuilder(SpanQueryBuilder factory)

- ## Method Details

  - ### getSpanQuery

    public SpanQuery getSpanQuery(Element e) throws ParserException
    Throws:
      `ParserException`